CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2025 开发者帮助

RadiusRatio 属性 (ActiveX)

2024-5-18 19:21| 发布者: admin| 查看: 83| 评论: 0|原作者: admin|来自: AutoCAD

RadiusRatio 属性 (ActiveX)

指定椭圆的长轴与短轴之比。

支持的平台:仅限 Windows

签名

VBA:

object.RadiusRatio
对象

类型:椭圆

此属性应用于的对象。

属性值

只读:

类型:

圆弧或圆的半径比。

言论

如果输入的短轴长于长轴,则椭圆将为圆形,因为半径比不能大于 1.0。(半径比为 1.0 定义一个圆。

半径比 = 0.25



半径比 = 0.75

例子

VBA:

Sub Example_RadiusRatio()
    ' This example creates an ellipse and finds the radius ratio
    ' for that ellipse. It then changes the radius ratio to 0.75.
    Dim ellObj As AcadEllipse
    Dim majAxis(0 To 2) As Double
    Dim center(0 To 2) As Double
    Dim radRatio As Double
    
    ' Create an ellipse in model space
    center(0) = 5#: center(1) = 5#: center(2) = 0#
    majAxis(0) = 10: majAxis(1) = 20#: majAxis(2) = 0#
    radRatio = 0.3
    Set ellObj = ThisDrawing.ModelSpace.AddEllipse(center, majAxis, radRatio)
    ZoomAll
    MsgBox "This ellipse has a radius ratio of " & ellObj.RadiusRatio, vbInformation, "RadiusRatio Example"

    ' Change the radius ratio of the ellipse
    radRatio = 0.75
    ellObj.RadiusRatio = radRatio
    ellObj.Update
    MsgBox "The ellipse has been udpated with the radius ratio of " & ellObj.RadiusRatio, vbInformation, "RadiusRatio Example"
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_RadiusRatio()
    ;; This example creates an ellipse and finds the radius ratio
    ;; for that ellipse. It then changes the radius ratio to 0.75.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; Create an ellipse in model space
    (setq center (vlax-3d-point 5 5 0)
          majAxis (vlax-3d-point 10 20 0)
          radRatio 0.3)
  
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq ellObj (vla-AddEllipse modelSpace center majAxis radRatio))
    (vla-ZoomAll acadObj)

    (alert (strcat "This ellipse has a radius ratio of " (rtos (vla-get-RadiusRatio ellObj) 2)))

    ;; Change the radius ratio of the ellipse
    (vla-put-RadiusRatio ellObj 0.75)
    (vla-Update ellObj)
    (alert (strcat "The ellipse has been udpated with the radius ratio of " (rtos (vla-get-RadiusRatio ellObj) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2024-12-16 00:04

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部